Llm

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

DELETE
GET

Delete llm skills name files

Required API key scopes

llm_skill:write

Path parameters

  • file_path
    string
  • skill_name
    string

Query parameters

  • base_version
    integer

Response


Example request

DELETE /api/projects/:project_id/llm_skills/name/:skill_name/files/:file_path
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/llm_skills/name/:skill_name/files/:file_path/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"body": "string",
"license": "string",
"compatibility": "string",
"allowed_tools": [
"string"
],
"metadata": {},
"files": [
{
"path": "string",
"content_type": "string"
}
],
"outline": [
{
"level": 1,
"text": "string"
}
],
"version": 0,
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted": true,
"is_latest": true,
"latest_version": 0,
"version_count": 0,
"first_version_created_at": "string"
}

Retrieve llm skills resolve name

Required API key scopes

llm_skill:read

Path parameters

  • skill_name
    string

Query parameters

  • before_version
    integer
  • limit
    integer
    Default: 50
  • offset
    integer
  • version
    integer
  • version_id
    string

Response


Example request

GET /api/projects/:project_id/llm_skills/resolve/name/:skill_name
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/llm_skills/resolve/name/:skill_name/

Example response

Status 200
RESPONSE
{
"skill": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"body": "string",
"license": "string",
"compatibility": "string",
"allowed_tools": [
"string"
],
"metadata": {},
"files": [
{
"path": "string",
"content_type": "string"
}
],
"outline": [
{
"level": 1,
"text": "string"
}
],
"version": 0,
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted": true,
"is_latest": true,
"latest_version": 0,
"version_count": 0,
"first_version_created_at": "string"
},
"versions": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"version": 0,
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"is_latest": true
}
],
"has_more": true
}

Community questions

Questions about this page? or post a community question.